
<HTML>
<HEAD>
<TITLE>DL Visualize - Tutorials</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<center><H2> DLV Tutorial - Moving an Atom </H2></center>

<p>
This tutorial describes how to use DLV to insert an atom into a model. As an
example we shall move the O in the top layer of the MgO(111) slab.
</p>

<p>
<ol>
<li> Make sure the model you wish to add the atom to is selected.
</li>
<li> Select the <b>Edit -> Model -> Move Atom</b> menu item. This panel
     will appear
     <br><br>
     <center><img src="../../images/move/name.png"></center>
     <br>
<li> Select the atom(s) you want to move by clicking on it with the left mouse
     button in the viewer window. It will change colour to indicate the
     selection. The viewer will show
     <br><br>
     <center><img src="../../images/move/select.png"></center>
     <br>
     (where 4 cells are displayed - see <a href="../display/ncells.html">
      Changing the number of displayed cells</a>.)
<li> Enter a name for the new model and the panel will change to
     <br><br>
     <center><img src="../../images/move/panel.png"></center>
     <br>
     Information about the atom that you selected will be entered in the
     panel. The viewer will contain a new model that looks identical to the
     original one. (The Mg atom will no longer be selected in the view.)
     <br>
</li>
<li> To move the atom to over the Mg atom, select the Mg atom
     <br><br>
     <center><img src="../../images/move/mg.png"></center>
     <br>
</li>
<li> Now click on the <b>Calculate from Selections</b> button and re-enter the
  previous z value of the O atom (2.43).
     <br><br>
     <center><img src="../../images/move/calc.png"></center>
     <br>
     (We could also have done this by enetering the x and y coordinates of the
     Mg atom which are displayed in the main panel.)
</li>
<li> Rotating the view we now see that the O atom is above the Mg.
     <br><br>
     <center><img src="../../images/move/raise.png"></center>
     <br>
</li>
<li> Select <b>OK</b> to accept the completed model. The insert atom panel
     will disappear. (You can repeat steps 3 to 6 as many times as you like
     before accepting the model).
</li>
</ol>
</p>

<H4> Advanced options </H4>

<p>
<ul>
<li> If the the Symmetry Copies toggle on the toolbar is off then a single
     atom is moved to the specified location without any symmetry copies
     in the cell. This will lower the symmetry of the structure.
     (e.g. in the above example we could move the O atom on the top of the slab
      and leave the one on the bottom layer in its original place - this would
      lose the mirror plance symmetry).
</li>
<li> The <b>Continue Moving</b> button allows you to complete
     the atom move and keep the panel open to move other atoms.
</li>
<li> The <b>Use Transform Editor</b> toggle allows you to use the mouse to
  move/rotate/translate the atom in the viewer (or use the Transform
  panel from the Viewers menu). This may have unexpected results if you use it
  with symmetry as it currently doesn't fully update the structure until you
  have finished. This can result in more atoms suddenly being displayed than
  you expect when you drag an atom off a high symmetry point.
</ul>
</p>

</BODY>
</HTML>
